<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.dromara.knowledge.mapper.KnowledgeHitLogMapper">

    <resultMap type="org.dromara.knowledge.domain.KnowledgeHitLog" id="KnowledgeHitLogResult">
        <result property="id" column="id"/>
        <result property="knowledgeId" column="knowledge_id"/>
        <result property="fragmentId" column="fragment_id"/>
        <result property="userId" column="user_id"/>
        <result property="sessionId" column="session_id"/>
        <result property="query" column="query"/>
        <result property="score" column="score"/>
        <result property="hitTime" column="hit_time"/>
        <result property="ip" column="ip"/>
        <result property="userAgent" column="user_agent"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
        <result property="remark" column="remark"/>
    </resultMap>

    <sql id="selectKnowledgeHitLogVo">
        select id,
               knowledge_id,
               fragment_id,
               user_id,
               session_id,
               query,
               score,
               hit_time,
               ip,
               user_agent,
               create_by,
               create_time,
               update_by,
               update_time,
               remark
        from knowledge_hit_log
    </sql>

</mapper>